Loading...
Searching...
No Matches
Opm::SingleNumericalAquifer Class Reference

## Public Member Functions

| SingleNumericalAquifer (const size_t aqu_id)
void | addAquiferCell (const NumericalAquiferCell &aqu_cell)
void | addAquiferConnection (const NumericalAquiferConnection &aqu_con)
void | postProcessConnections (const EclipseGrid &grid, const std::vector< int > &actnum)
size_t | numCells () const
size_t | id () const
size_t | numConnections () const
const NumericalAquiferCell * | getCellPrt (size_t index) const
void | applyMinPV (const EclipseGrid &grid)
std::unordered_map< size_t, AquiferCellProps > | aquiferCellProps () const
std::vector< NNCdata > | aquiferCellNNCs () const
std::vector< NNCdata > | aquiferConnectionNNCs (const EclipseGrid &grid, const FieldPropsManager &fp) const
const std::vector< NumericalAquiferConnection > & | connections () const
bool | operator== (const SingleNumericalAquifer &other) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

The documentation for this class was generated from the following files:

- opm/input/eclipse/EclipseState/Aquifer/NumericalAquifer/SingleNumericalAquifer.hpp
- opm/input/eclipse/EclipseState/Aquifer/NumericalAquifer/SingleNumericalAquifer.cpp